ImagickPixel::setColorValue
ImagickPixelIterator
ImagickPixel
PHP Manual

# ImagickPixel::setHSL

Sets the normalized HSL color

### Description

bool ImagickPixel::setHSL ( float `$hue` , float `$saturation` , float `$luminosity` )
Warning

This function is currently not documented; only its argument list is available.

Sets the color described by the ImagickPixel object using normalized values for hue, saturation and luminosity.

### Parameters

`hue`

  The normalized value for hue, described as a fractional arc (between 0 and 1) of the hue circle, where the zero value is red.

`saturation`

  The normalized value for saturation, with 1 as full saturation.

`luminosity`

  The normalized value for luminosity, on a scale from black at 0 to white at 1, with the full HS value at 0.5 luminosity.

### Return Values

Returns `TRUE` on success.

### Notes

> Note:

> Available with ImageMagick library version 6.2.9 and higher.